Gda.DataModelError – Gda-6.0 Reference Manual

# DataModelError

## Description:

[ CCode ( cprefix = "GDA_DATA_MODEL_" , has_type_id = false ) ]
public errordomain DataModelError
Namespace: Gda
Package: Gda-6.0

## Content:

### Error codes:

- ACCESS_ERROR
- COLUMN_OUT_OF_RANGE_ERROR
- FEATURE_NON_SUPPORTED_ERROR
- FILE_EXIST_ERROR
- INVALID
- OTHER_ERROR
- ROW_NOT_FOUND_ERROR
- ROW_OUT_OF_RANGE_ERROR
- TRUNCATED_ERROR
- VALUES_LIST_ERROR
- VALUE_TYPE_ERROR
- XML_FORMAT_ERROR

### Static methods:

- public static Quark quark ()